Commit 1343fee0 authored by Aleix Pol Gonzalez's avatar Aleix Pol Gonzalez 🐧

Make it possible to compile with the old and new App*treamConfig.cmake

parent 18b61027
......@@ -28,7 +28,10 @@ if (NOT packagekitqt5_FOUND)
find_package(KF5 REQUIRED IconThemes Notifications KIO)
endif()
endif()
find_package(AppstreamQt 0.10)
find_package(AppStreamQt 0.10)
if (NOT AppstreamQt_FOUND)
find_package(AppstreamQt 0.10 QUIET)
endif()
find_package(KF5Attica 5.23)
find_package(KF5NewStuff 5.23)
......
......@@ -20,7 +20,7 @@ if(BODEGA_FOUND)
add_subdirectory(BodegaBackend)
endif()
if(packagekitqt5_FOUND AND AppstreamQt_FOUND)
if(packagekitqt5_FOUND AND (AppstreamQt_FOUND OR AppStreamQt_FOUND))
add_subdirectory(PackageKitBackend)
endif()
......
......@@ -12,7 +12,7 @@ add_library(packagekit-backend MODULE PackageKitBackend.cpp
)
set(AppstreamTarget "AppstreamQt")
if (${AppstreamQt_VERSION} VERSION_GREATER 0.10.3)
if (AppStreamQt_FOUND)
target_compile_definitions(packagekit-backend PRIVATE -DNEWAPPSTREAM=0)
set(AppstreamTarget "AppStreamQt")
endif()
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment